<?php

/* DCMS Special
 * Дата последнего редактирования 01.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

$set['title'] = lang('Магазин');

require_once H . 'sys/inc/thead.php';

if (!isset($user) && !isset($_GET['id'])) {
    header("Location: /index.php?" . SID);
    exit;
}
if (isset($user)) {
    $ank['id'] = $user['id'];
}
if (isset($_GET['id'])) {
    $ank['id'] = intval($_GET['id']);
}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' LIMIT 1"), 0) == 0) {
    header("Location: /index.php?" . SID);
    exit;
}
$ank = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1"));

aut();
err();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Магазин');
echo "</small></div><br />";

if (!isset($user)) {
    err(lang('Пройдите авторизацию'));
} else {
    only_reg();

    echo "<div class='list-group-item-null'>";
    $doc->Link('btn btn-primary btn-sm', "?$passgen", 'refresh', 'Обновить');
    echo "</div>";

    $doc->Link('list-group-item-null list-group-item-grey', '/user/transfer/in.php', 'credit-card', 'Финансовые операции');
    echo "<div class='list-group-item-null'><i class='fa fa-money fa-fw'></i> " . lang('Рубли') . " <span class='badge'>$user[money]</span></div>";
    echo "<div class='list-group-item-null'><i class='fa fa-bar-chart fa-fw'></i> " . lang('Активность') . " <span class='badge'>$user[activity]</span></div>";
    echo "<div class='list-group-item-null'><i class='fa fa-star fa-fw'></i> " . lang('Рейтинг') . " <span class='badge'>$user[rating]</span></div>";

    $doc->Link('list-group-item-null list-group-item-grey', '/user/icon/', 'user-secret', 'Иконки');
    $doc->Link('list-group-item-null list-group-item-grey', '/user/color_login.php', 'tint', 'Цвет логина');
    $doc->Link('list-group-item-null list-group-item-grey', '/modules/shop/plus5.php', 'html5', 'Оценка 5+');
    $doc->Link('list-group-item-null list-group-item-grey', '/modules/shop/links.php', 'terminal', 'Адрес страницы');
    $doc->Link('list-group-item-null list-group-item-grey', '/modules/reklama/', 'bullhorn', 'Реклама');
    $doc->Link('list-group-item-null list-group-item-grey', '/modules/shop/login.php', 'i-cursor', 'Смена логина');
}

require_once H . 'sys/inc/tfoot.php';
